GetDedicatedIpPool method
Returns information about a dedicated IP address pool in a folder. The folder is selected based on the service account the request originates from.
Request
GET /v2/email/dedicated-ip-pools/{PoolName} HTTP/2
Path parameters
|
Parameter |
Description |
|
|
Type: String. Pool name. You cannot use this method to get information about a reserved pool. |
Request headers
Use common request headers in your requests.
Responses
200 OK
{
"DedicatedIpPool": {
"PoolName": "<pool_name>",
"ScalingMode": "STANDARD"
}
}
|
Parameter |
Description |
|
|
Type: String. Pool name. |
|
|
Type: String. Pool scaling mode. It always returns |
The 200 OK response may contain additional parameters. Its format may vary slightly from the above.
Errors
For all errors, the response body has the same format:
{
"Code": "<error_name>",
"message": "<error_description>"
}
The name of the error is taken from its code, e.g., BadRequestException.
The possible errors include:
|
Error code |
Description |
|
|
The request contains invalid headers or parameters, or info about a reserved pools is requested. |
|
|
No pool of that name was found. |
|
|
The request quota was exceeded. |